package eg;

import org.seamframework.sql.Expression;
import org.seamframework.sql.From;
import org.seamframework.sql.Parameter;
import org.seamframework.sql.Query;

import eg.Main.users;

class LoginQuery extends Query {
	
	From<users> user = from(users.table);
	
	Expression<String> name = user.get(users.name);
	Expression<Integer> age = user.get(users.age);
	
	Parameter<String> username = parameter(String.class);
	Parameter<String> password = parameter(String.class);
	
	{
		select(name, age);
		where( and( eq( user.get(users.username), username ), 
				eq( user.get(users.password), password ) ) );
		orderBy(name, age);
	}
	
}